%include	/usr/lib/rpm/macros.perl
Summary:	VFolders Menu Generator
Summary(pl.UTF-8):	Generator Menu opartego na VFolders
Name:		vfmg
Version:	0.9.95
Release:	8
License:	GPL
Group:		X11/Window Managers/Tools
Vendor:		GoTaR <gotar@pld-linux.org>
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	f73aaacd03bd9b8fe097cac5011f26d9
Patch0:		%{name}-ignore-OnlyUnallocated.patch
Patch1:		%{name}-XDG_MENU_PREFIX.patch
Patch2:		no-xfce4.patch
Patch3:		perl-5.26.patch
URL:		http://vfmg.sourceforge.net/
BuildRequires:	rpm-perlprov
Requires(post,preun):	/sbin/chkconfig
Requires:	xdg-menus
Obsoletes:	wmconfig
Conflicts:	WindowMaker < 0.92.0-0.4
Conflicts:	enlightenment < 0.16.7.2-2
Conflicts:	icewm < 2:1.2.25-0.2
Conflicts:	metisse < 0.3.5-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VFolders Menu Generator. Generates window managers menus (for now only
icewm, blackbox, window maker (both old and new style), xfce4, aewm,
afterstep, fvwm2, olvwm, qvwm, enlightenment and fluxbox are
supported, next coming soon) from desktop files conforming the
freedesktop.org menu specification.

%description -l pl.UTF-8
Generator Menu opartego na VFolders. Generuje menu zarządców okien
(jak dotąd wspierane są tylko icewm, blackbox, window maker (oba
style, stary oraz nowy), xfce4, aewm, afterstep, fvwm2, olvwm, qvwm,
enlightenment i fluxbox, następne wkrótce) z plików desktop
wypełniających specyfikację menu z freedesktop.org.

%package cron
Summary:	Crontab file for VFolders Menu Generator
Summary(pl.UTF-8):	Plik crontaba dla generatora menu opartego na vfolders
Group:		X11/Window Managers/Tools
Requires:	crondaemon

%description cron
This package contains a configuration file that enables window manager
menu generation to be performed regularily at given time.

%description cron -l pl.UTF-8
Pakiet ten zawiera plik konfiguracyjny umożliwiający regularne
generowanie menu dla zarządców okien o określonych godzinach.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_datadir}/zsh/site-functions} \
	$RPM_BUILD_ROOT/etc/{cron.d,rc.d/init.d,sysconfig}

install vfmg $RPM_BUILD_ROOT%{_bindir}
install vfmgrc $RPM_BUILD_ROOT%{_sysconfdir}
install vfmg-zsh $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/_vfmg
install vfmg.init $RPM_BUILD_ROOT/etc/rc.d/init.d/vfmg
install vfmg.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/vfmg
install vfmg.cron $RPM_BUILD_ROOT/etc/cron.d/vfmg

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vfmg

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del vfmg
fi

%files
%defattr(644,root,root,755)
%doc README vfmg.html
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vfmgrc
%attr(754,root,root) /etc/rc.d/init.d/vfmg
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vfmg
%{_datadir}/zsh/site-functions/*

%files cron
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/vfmg
%changelog
* Mon Jul 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vfmg.git;a=log;h=master

* Mon Jul 17 2017 Jan Rękorajski <baggins@pld-linux.org> 2604144
- fix obsolete syntax that's became fatal with perl 5.26
- rel 8

* Fri Aug 16 2013 Jan Rękorajski <baggins@pld-linux.org> 285a6af
- XFCE is fully XDG compliant, doesn't need a menu generator
- rel 7

* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> a5cf9c1
- rel 6

* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> 6f99d74
- fix path

* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> 07ca0c4
- rel 5
- sysconfig bits for XDG_MENU_PREFIX

* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> f219010
- rel 4
- accept XDG_MENU_PREFIX env var

* Mon May 17 2010 Jan Rękorajski <baggins@pld-linux.org> 2ed64ab
- rel 3
- ignore menu for unallocated apps (else we get a submenu with everything in it)

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 638ea7d
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1261a8e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eafbb2c
- converted to UTF-8

* Tue Oct 31 2006 Jakub Bogusz <qboosh@pld-linux.org> 169e428
- typos

* Wed Apr 19 2006 sparky <sparky@pld-linux.org> bfecad4
- OK, rel 1

* Wed Apr 19 2006 sparky <sparky@pld-linux.org> 66435c4
- one more change, but very small this time

* Tue Apr 18 2006 sparky <sparky@pld-linux.org> 8f2e121
- obsolete

* Tue Apr 18 2006 sparky <sparky@pld-linux.org> b98081a
- updated, small changes, so version not bumped

* Tue Apr 18 2006 sparky <sparky@pld-linux.org> ea3db38
- C: for old WMs not using /etc/rc.d/init.d/vfmg generation

* Tue Apr 18 2006 sparky <sparky@pld-linux.org> e99a653
- vfmg new generation
- rel 0.1 for now as some C: must be added (vfmg behaviour has changed a little)

* Thu Mar 23 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 53c806b
- release 14 for Th

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 36ff3a7
- adapterized (sorted %verify attrs)

* Fri Jul 15 2005 havner <havner@pld-linux.org> 69cd3e2
- current patch updated
- rel 13

